<template>
  <div :id="id" :style="{ width: width, height: height }"></div>
</template>

<script>
import { chartOptionMixins } from "@/views/analyse/custom/mixins";
export default {
  mixins: [chartOptionMixins],
  name: "CMultipleLine",
  data() {
    return {
      id: 'multipleLine'
    }
  },
  mounted() {
  },
  methods: {
    getOption() {
      let { legend, xAxis, yAxis, series, grid } = this.get2AxisOption('line', '')
      return {
        tooltip: {
          trigger: 'item'
        },
        legend,
        grid: grid,
        xAxis: xAxis,
        yAxis: yAxis,
        series: series
      }
    }
  }
}
</script>
